@charset "utf-8";

html, body{
    height: 100%;
    width: 100%;
}

/** Set modal to 95% */
.modal-95 {
    max-width: 95%;
    max-height: 95%;
    width: 95%;
    height: 95%; 
}


.div_flex{
    display: flex;
    text-align: center;
}

.div_fixed{
    width: 30%;
    border: 1px solid black;
}
.div_rest{
    flex-grow: 1;
    border: 1px solid black;
}

.bigb{
    width: 100%;
    height: 100%;
    white-space: normal;
}

/*======================= map settings ==========================*/

#table_buttons{
    text-align:center;
    width: 100%;
}

#update_map_preview{
	margin-bottom: 5px;
	width: 95%;
	bottom: 0px;
}


/*======================= tables ==========================*/

td.details-control {
    background: url('https://datatables.net/examples/resources/details_open.png') no-repeat center center;
    cursor: pointer;
}
tr.shown td.details-control {
    background: url('https://datatables.net/examples/resources/details_close.png') no-repeat center center;
}

/*======================= map preview ==========================*/

#div_map_preview{
	//position: relative; 
    //padding-top: 56.25%;
}

/* 
#map_manager{   
	position: absolute;
    //height: 50%;
    //width: 80%;
    border: 1px solid black;
    background-color: grey;
}

#table_manager{
	table-layout:fixed;
	height: 100%;
    width: 100%;
}

#td_map_catalog{
	//height: 100%;
    width: 30%;
}

#td_map_layers{
	vertical-align: top;
    //height: 50%;
    width: 30%;
}

#td_map_preview{
	vertical-align: top;
	//height: 50%;
    width: 40%;
}

#div_map_preview{
	height: 300px;
}

#div_map_layers{
    top: 0px;
}

#div_map_buttons{
	top: 0px;
}

.full_div{
	//position: absolute;
	height: 100%;
    width: 100%;
    border: 1px solid red;
}

#table_catalog{
	top: 0px;
	background: orange;
}

#table_layers{
	top: 0px;
	background: orange;
}

#table_buttons{
	text-align:center;
	width: 100%;
    top: 0px;
    background: orange;
}

td.details-control {
    background: url('https://datatables.net/examples/resources/details_open.png') no-repeat center center;
    cursor: pointer;
}
tr.shown td.details-control {
    background: url('https://datatables.net/examples/resources/details_close.png') no-repeat center center;
}
*/
